<?php
if(!defined(_PDMENU_CLASS_)){
define("_PDMENU_CLASS_",1);



    define("DEFAULT_MENUPANEL_WIDTH",100);
    define("MENU_SUB",0x01);
    define("MENU_BARITEM",0x02);
    define("MENU_CHECKED",0x04);
    define("MENU_RCHECKED",0x08);
    define("MENU_DISABLED",0x10);
    define("MENU_LINE",0x20);
//    define("MENU_NEWWINDDOW",0x40);
    define("MENU_ROOT",0x80);
    $agentwords=split('[/ ]',$HTTP_USER_AGENT);
    $ie4 = false;
    $ns4 = false;
    
    if($agentwords[0]=='Mozilla' && $agentwords[1]>=4.0){
        if (strpos($HTTP_USER_AGENT,'MSIE')){
            $ie4 = true;
            $ie5 = (substr(strstr($HTTP_USER_AGENT,"MSIE"),5,3)>=5);
        }
        else
            $ns4 = true;
    }

if (!function_exists('menuitem')){        
class menuitem{
    var $layerName;
    var $submenu;
    var $url;
    var $status;
    var $panelWidth;
    var $caption;
    var $target;
    function menuitem($caption,$status=0,$url='#',$sub=false,$target='')
    {
        static $uid=0;
        $this->caption = trim($caption);
        $this->status=$status;
        $this->status |= MENU_SUB;
        $this->layerName='PHP_PDMENU_'.(++$uid);
        if($sub)
	    $this->submenu=$sub;
        $this->url=trim($url);
        $this->target = trim($target);
        $this->panelWidth = DEFAULT_MENUPANEL_WIDTH;
    }
};
}
if(!function_exists('pdmenu')){
class pdmenu{
    var $layerName;
    var $submenu;
    var $url;
    var $status;
    var $id;
    var $panelBgColor,$panelWidth,$itemStyle,$itemSltStyle;//style is css classname.
    var $barBgColor,$barStyle,$barSltStyle,$barItemWidth,$barWidth;
    var $barOutStyle,$barOutSltStyle,$itemOutStyle,$itemOutSltStyle;
    var $subPic,$chkPic,$rchkPic;
    var $posx;
    var $barTemplate;
    var $itemTemplate;
    var $target=false;
    var $menuitems;
//for old browsers
    var $barPreffix='';
    var $barSuffix='';
    var $bitemPreffix='<font color=white>';
    var $bitemSuffix='</font>';
#######################################################################

    function pdmenu()
    {
        static $menuid=0;
        $this->id=++$menuid;
        $this->layerName='PDMENU_'.$this->id;
        $this->status=MENU_ROOT;
        $this->posx=0;
        $this->panelWidth = DEFAULT_MENUPANEL_WIDTH;
		$this->subPic = 'pop_arw.gif';
        $this->barBgColor='lightblue';
    }
    function initMenu($menuStr,$splitChar='|'){
		if($this->target)
			$this->target="parent.frames.".$this->target;
        $this->menuitems[0]=&$this;
        $n = $n1 = 0;
        $menuitems=explode("\n",$menuStr);
        $context[0]=0;$level=0;$size[0]=0;
		foreach($menuitems as $menuitem){
            if((!$menuitem) || $menuitem=='') continue;
            list($lv,$caption,$status,$url,$target)=explode($splitChar,$menuitem);
            $lv = strlen($lv)+1;
            if($lv>$level){
                if($lv!=$level+1) return false;
                $this->menuitems[$context[$level]]->status|=MENU_SUB;
                $level++;$size[$level]=0;
            }else if ($lv < $level)
                $level=$lv;
            $this->menuitems[++$n]=new menuitem($caption,intval($status),$url,false,$target);
            $pcx=$context[$level-1];
            $context[$level] = $this->menuitems[$pcx]->submenu[$size[$level-1]++]=$n;
        }
        return ture;
    }
    function activateMenu($menu=false)
    {
        global $ie4,$ie5,$ns4;
        if(!($ie4 || $ns4 || $ie5))
            return;
        for($i=0;$i<count($this->menuitems);$i++){
            if ($this->menuitems[$i]->submenu){
                $layerName = $this->menuitems[$i]->layerName;
                if($ns4)
                    echo "setTimeout(\"initMenu('$layerName')\",40);\n";
                if($ie4)
                    echo "initMenu('$layerName');\n";
            }
         }
    }
    function showMenu($menu)
    {
        global $ie4,$ie5,$ns4;
        if(!($ie4 || $ns4 || $ie5)){
            $this->showBarOnly();
            return ;
        }
        for($i=0;$i<count($this->menuitems);$i++){
            if ($this->menuitems[$i]->submenu){
                $this->genSubMenuLayer($i);
                $this->genSubMenuStr($i);
            }
        }
    }

    function genSubMenuStr($itemId)
    {
    $panelItem = $this->menuitems[$itemId];
    $items=$panelItem->submenu;
    $layerName=$panelItem->layerName;
    $barBgColor = $this->barBgColor;
    echo "\n<script language='JavaScript'>\n<!--//Hide from old browsers\n";
    echo "strHtml='';\n";
    $i=0;
    if($panelItem->status&MENU_ROOT){
        $bgColor = $this->barBgColor;
        $style = $this->barStyle;
        $sltStyle = $this->barSltStyle;
        $outStyle = $this->barOutStyle?$this->barOutStyle:$style;
        $outSltStyle = $this->barOutSltStyle?$this->barOutSltStyle:$sltStyle;
        $width = $this->barWidth;
        echo "strHtml+='<table border=0 width=\'100%\' ';\n";
        echo "strHtml+='cellpadding=0 cellspacing=0 bgcolor=\'$bgColor\'><tr>';\n";
        $template = 
<<<EOD
        ("<td class=%outmenuitem=%id%%><font class=%outmenuitem=%id%%><a href='%url%' class=%menuitem=%id%% %addons% "
         +"onMouseover=\"bitemSelect('%parentName%','%id%','%childName%',this);\" >" 
         +"|%caption%&nbsp;&nbsp;&nbsp;</a></font></td>")
EOD;
        }
    else {
        $bgColor = $this->panelBgColor;
        $style = $this->itemStyle;
        $sltStyle = $this->itemSltStyle;
        $outStyle = $this->itemOutStyle?$this->itemOutStyle:$style;
        $outSltStyle = $this->itemOutSltStyle?$this->itemOutSltStyle:$sltStyle;
        $width = $this->panelWidth;
		echo "strHtml+='<table border=0 width=\'100%\' ';\n";
		echo "strHtml+='cellpadding=1 cellspacing=1 bgcolor=\'black\' ><tr><td>';\n";
		echo "strHtml+='<table border=0 width=\'100%\' ';\n";
		echo "strHtml+='cellpadding=0 cellspacing=0 bgcolor=\'$bgColor\'>';\n";
		//class=%outmenuitem=%id%%
		//class=%outmenuitem=%id%%
		//class=%menuitem=%id%%
		//&nbsp;&nbsp;
        $template = 
<<<EOD
        ("<tr><td class=%outmenuitem=%id%% nowrap><font class=%outmenuitem=%id%% >"
         +"%SubmenuMark% &nbsp;&nbsp;<A class=%menuitem=%id%% "
         +" onMouseover=\"pitemSelect('%parentName%','%id%','%childName%',this);\" "
         +" href='%url%' %addons% >%caption%</A></font></td></tr>")
EOD;
/*
<<<EOD
        ("<tr><td class=%menuitem=%id%% nowrap>SubmenuMark%&nbsp;&nbsp;"
         +"<A class=%menuitem=%id%% style='border-width:0;border-style:none'  "
         +" onMouseover=\"pitemSelect('%parentName%','%id%','%childName%',this);\" "
         +" href='%url%' %addons% >%caption%</A></td></tr>")
EOD;*/
        }
    foreach($items as $id){
        $item = $this->menuitems[$id];
        $caption = $item->caption;
        if($item->status&MENU_LINE){
            //echo $item->status;
            echo "strHtml+='<tr><td class=$style nowrap>$caption</td></tr>';\n";
            continue;
        }
        $urladdons='';
        if($item->target)
            $urladdons .= ("target=".$item->target);
        $str=str_replace('%id%',++$i,$template);
        $str=str_replace('%parentName%',$layerName,$str);
        $str=str_replace('%caption%',$caption,$str);
        $str=str_replace('%childName%',$item->submenu?$item->layerName:'',$str);
        $str=str_replace('%url%',$item->url,$str);
        $str=str_replace('%addons%',$urladdons,$str);
        if($item->submenu) 
            $str = str_replace('%SubmenuMark%',"<img src='{$this->subPic}' align=right vspace=6 border=0 >",$str);
	else
            $str = str_replace('%SubmenuMark%','',$str);
        echo "strHtml+=$str;\n";
        }
    if(!($panelItem->status&MENU_ROOT)){
        echo "strHtml += '</table></td></tr></table>';";
    }else{
        echo "strHtml += '</tr></table>';\n";
    }
    echo "setMenuProp('$layerName','originalHtml',strHtml);\n";
    echo "setMenuProp('$layerName','strStyle','$style');\n";
    echo "setMenuProp('$layerName','strOutStyle','$outStyle');\n";
    echo "setMenuProp('$layerName','strSltStyle','$sltStyle');\n";
    echo "setMenuProp('$layerName','strOutSltStyle','$outSltStyle');\n";
    echo "setMenuProp('$layerName','menuDefaultWidth',$width);\n";
	if ($this->target){
		if($panelItem->status&MENU_ROOT)	//show SubMenu in another frame;
	    	echo "setMenuProp('$layerName','subTarget','{$this->target}');\n";
		else
	    	echo "setMenuProp('$layerName','target','{$this->target}');\n";
		}
    echo "//-->\n</Script>";
    }

    function genSubMenuLayer($itemId)
    {
    global $ie4,$ns4;
    $panelItem = $this->menuitems[$itemId];
    if($panelItem->status&MENU_ROOT){//for MenuBar ,NoHide for Menubar
        $width = $this->barWidth;
        $posx=$this->posx;
        $bgColor=$this->barBgColor;
        $layerName=$panelItem->layerName;
        if($ie4){
            echo "<div id='$layerName' style='position:absolute;left:$posx ;background-Color:$bgColor;width:$width' \n";
            echo "onMouseover=\"aMenuOpened[0]='$layerName';stopHiMenu();\" \n";
            echo "onMouseout=\"delayHiMenu();\"> \n";
            echo $this->showBarOnly();
            echo "</div>\n";
            }
        else if($ns4) {
            echo "<layer id='$layerName' left=$posx bgcolor='$bgColor' width=$width ";
            echo "onMouseover=\"aMenuOpened[0]='$layerName';\" \n";
            echo "onMouseout=\"delayHiMenu();\"> \n";
            echo $this->showBarOnly();
            echo "</layer>";
            }
        return;
    }
    $bgColor=$this->panelBgColor;
    $width=$this->panelWidth;
    $layerName=$panelItem->layerName;
    $fillin=($panelItem->submenu)?
        str_repeat('<br>',count($panelItem->submenu)) : '' ;
    if($ie4){
        echo "<div id='$layerName' style='position:absolute;width:$width;background-Color:$bgColor;visibility:hidden' ";
        echo "onMouseout=\"delayHiMenu();\" ";
        echo "onMouseOver=\"stopHiMenu();return false;\"> \n";
        echo $fillin;
        echo "</div>";
    }
    else if($ns4) {
        echo "<layer id='$layerName' WIDTH=$width bgcolor=$bgColor VISIBILITY=HIDE ";
        echo "onMouseout=\"delayHiMenu();\" ";
        echo "onMouseOver=\"stopHiMenu();return false\"> ";
        echo $fillin;
        echo "</layer>";
        }
    }
    function showBarOnly(){//function only for old browsers
        echo $this->barPreffix;
        $template = "<a href='%url%' target='%target%'>{$this->bitemPreffix}|%caption%{$this->bitemSuffix}</a>";
        echo "<Table BGCOLOR={$this->barBgColor} border=0 cellspacing=0 cellpadding=0";
        echo " hspace=0 vspace=0><tr><td>";
        while(list($key,$id)=each($this->submenu)){
            $item = $this->menuitems[$id];
            $str = str_replace('%caption%',$item->caption,$template);
            $str = str_replace('%url%',$item->url,$str);
            $str = str_replace('%target%',$item->target,$str);
            echo $str;
        }
        echo "</td></tr></table>";
        echo $this->barSuffix;
    }

};//end define pdmenu class
}
}
?>
<?php if($ie4||$ns4||$ie5){ ?>
<Script language='JavaScript'>
<!--// For old browsers

function bitemSelect(strParent,nId,strChild,refChild)
{
	var objParent,objChild;
	// get menu reference 
	stopHiMenu();
	if(strChild!='')
		objChild = getTargetMenu(strChild);
	objParent = getMenu(strParent);
	//Get menu position
	var posx,posy;
	if (ie5){
		posx=objParent.offsetLeft
					+refChild.offsetParent.offsetLeft;
		posy=document.all(strParent).offsetTop+document.all(strParent).offsetHeight;
	}else if(ie4){
		posx=document.all(strParent).offsetLeft
					+refChild.offsetParent.offsetParent.offsetLeft;
		posy=document.all(strParent).offsetTop+document.all(strParent).offsetHeight;
	}
	if(ns4){
		posx=document.layers[strParent].pageX+refChild.x;
		posy=document.layers[strParent].pageY+document.layers[strParent].clip.height;
	}
	var targetName = getMenuProp(strParent,'subTarget');
	var ofx=0,ofy=0;
	if(targetName && targetName!='undefined' && targetName!=''){
		if(ie4){
			ofx = eval(targetName+".document.body.scrollLeft");
			ofy = eval(targetName+".document.body.scrollTop");
		}
		if(ns4){
			ofx = eval(targetName+".window.pageXOffset");
			ofy = eval(targetName+".window.pageYOffset");
		}
		posy=ofy+1;
		posx += ofx;
		targetName += '.';
	}else 
		targetName = '';
	var strOriginalHtml,strOutStyle,strStyle,strOutSltStyle,strSltStyle,reg;
	strOriginalHtml = getMenuProp(strParent,'originalHtml');
	strOutStyle = getMenuProp(strParent,'strOutStyle');
	strStyle = getMenuProp(strParent,'strStyle');
	strOutSltStyle = getMenuProp(strParent,'strOutSltStyle');
	strSltStyle = getMenuProp(strParent,'strSltStyle');
	reg = new RegExp("%menuitem="+nId+"%", "g");
	strOriginalHtml=strOriginalHtml.replace(reg,"'"+strSltStyle+"'");
	strOriginalHtml=strOriginalHtml.replace(/%menuitem=(\w+)%/g,"'"+strStyle+"'");
	reg = new RegExp("%outmenuitem="+nId+"%", "g");
	strOriginalHtml=strOriginalHtml.replace(reg,"'"+strOutSltStyle+"'");
	strOriginalHtml=strOriginalHtml.replace(/%outmenuitem=(\w+)%/g,"'"+strOutStyle+"'");
	for(i=nMenuLevel;i>1 ;i--){
		showPanel(aMenuOpened[i],false);
		aIds[i]=-1;
	}
	aIds[1]=-1;
	if(i==1){
		if (strChild==aMenuOpened[1])
			return false;
		showPanel(aMenuOpened[1],false);
	}
	aIds[0]=nId;
	if(objChild){
		nMenuLevel = 1;
		aMenuOpened[1]=strChild;
		showPanel(strChild,true,posx,posy);
	}
	delayWrite(strParent,strOriginalHtml);
	return false;
}

function pitemSelect(strParent,nId,strChild,refChild)
{
	var objParent,objChild=false,targetName;
	//Get menu position
	stopHiMenu();
	objParent = getTargetMenu(strParent);
	targetName = getMenuProp(strParent,'target');
	if(targetName && targetName!='undefined' && targetName!=''){
		posy=1;
		targetName += '.';
	}else 
		targetName = '';
	var px,pw,cw=0,posx,posy;
	if (strChild!='')
		objChild = getTargetMenu(strChild);
	if (ie5){
		px=objParent.offsetLeft;
		pw=objParent.offsetWidth;
		cw = objChild?objChild.offsetWidth:0;
		posy=objParent.offsetTop+refChild.offsetParent.offsetTop;
		innerWidth = eval(targetName+"document.body.clientWidth");
	}else if(ie4){
		px=objParent.offsetLeft;
		pw=objParent.offsetWidth;
		cw = objChild?objChild.offsetWidth:0;
		posy=objParent.offsetTop
					+refChild.offsetParent.offsetParent.offsetTop;
		innerWidth = eval(targetName+"document.body.clientWidth");
	}
	if (ns4){
		px=objParent.pageX;
		pw=getMenuProp(strParent,'menuDefaultWidth');
		cw = objChild?getMenuProp(strChild,'menuDefaultWidth'):0;
		innerWidth = eval(targetName+"innerWidth");
		posy=objParent.pageY+refChild.y;
	}
	if(strChild!='' && px+pw+cw>innerWidth)
		posx = px-cw;
	else
		posx = px+pw;
	var strOriginalHtml,strOutStyle,strStyle,strOutSltStyle,strSltStyle,reg;
	strOriginalHtml = getMenuProp(strParent,'originalHtml');
	reg = new RegExp("%menuitem="+nId+"%", "g");
	strOriginalHtml=strOriginalHtml.replace(reg,"'"+getMenuProp(strParent,'strSltStyle')+"'");
	strOriginalHtml=strOriginalHtml.replace(/%menuitem=(\w+)%/g,"'"+getMenuProp(strParent,'strStyle')+"'");

	reg = new RegExp("%outmenuitem="+nId+"%", "g");
	strOriginalHtml=strOriginalHtml.replace(reg,"'"+getMenuProp(strParent,'strOutSltStyle')+"'");
	strOriginalHtml=strOriginalHtml.replace(/%outmenuitem=(\w+)%/g,"'"+getMenuProp(strParent,'strOutStyle')+"'");

	for(i=nMenuLevel;i>0 && aMenuOpened[i]!=strParent && aMenuOpened[i]!=strChild;i--){
		showPanel(aMenuOpened[i],false);
		aIds[i]=-1;
	}
	nMenuLevel=i;
	if (strChild == aMenuOpened[i]){
		aIds[i-1]=nId;
		return false;
	}
	if(nId==aIds[i]) return false;
	aIds[i]=nId;
	if(strChild!=''){
		aMenuOpened[++nMenuLevel]=strChild;
		showPanel(strChild,true,posx-2,posy);
    	}
	delayWrite(strParent,strOriginalHtml);
	return false;
}
function showPanel(menu, vis, posx, posy)
{
	var obj = menuStyle(menu);
	if (posx && posy){
		obj.left=posx;obj.top=posy;
	}
		
	if (obj.visibility==visible && vis)
		return;
	if(vis){
		initMenu(menu);
		obj.zIndex = 1000;
		obj.visibility = visible;
	}else 
		obj.visibility = hidden;
}
function delayHiMenu()
{
	menuCloseId=setTimeout("HiAllMenu()",200);
}
function HiAllMenu()
{
  	if (!menuCloseId) return;
	for(i=1;i<=nMenuLevel;i++){
		showPanel(aMenuOpened[i],false);
	}
	initMenu(aMenuOpened[0]);
	nMenuLevel = 0;
	for(i=1;i<10;i++){
		aMenuOpened[i]='';
		aIds[i]=-1;
	}
	menuCloseId=false;
}

function menuStyle(sObj)
{
	var obj = getTargetMenu(sObj);
	if(ie4) return obj.style;
	if(ns4) return obj;
	return false;
}

function stopHiMenu()
{
  if (menuCloseId){
	clearTimeout(menuCloseId);
	menuCloseId=false;
	}
}

function writeHtml(menuName,str)
{
	var obj = getTargetMenu(menuName);
	if(ie4)
		obj.innerHTML=str;
	else if(ns4){
		with(obj.document){
			open();
			write(str);
			close();
		}	
	}
}
function delayWrite(strParent,strNewHtml)
{
	if(strNewHtml){
		setMenuProp(strParent,'strWrHtml',strNewHtml);
		setTimeout("delayWrite('"+strParent+"',false)",5);
		}
	else{
		//window.offscreenBuffering = true;
		writeHtml(strParent,getMenuProp(strParent,'strWrHtml'));
		//window.offscreenBuffering = false;
		}
}

function getMenuProp(menuName,propName)
{
	if (ie4) obj = window.document.all[menuName];
	if (ns4) obj = window.document.layers[menuName];
	return eval("obj."+propName);
}
function setMenuProp(menuName, propName, value)
{
	if (ie4) obj = window.document.all[menuName];
	if (ns4) obj = window.document.layers[menuName];
	eval("obj."+propName+"=value");
}
function initMenu(menu)
{
    strHtml = getMenuProp(menu,'originalHtml');
    strStyle = getMenuProp(menu,'strStyle');
    strOutStyle = getMenuProp(menu,'strOutStyle');
    strDispHtml=strHtml.replace(/%menuitem=(\w+)%/g,"'"+strStyle+"'");
    strDispHtml=strDispHtml.replace(/%outmenuitem=(\w+)%/g,"'"+strOutStyle+"'");
    writeHtml(menu,strDispHtml);
    if (ns4) {
        obj = menuStyle(menu);
        obj.clip.width = getMenuProp(menu,'menuDefaultWidth');
    }
}

function newLayer(layerName, frame, width, bgColor)
{
	var obj,oframe=eval(frame);
	if(ns4){
		obj = new Layer(width, eval(frame));
		obj.visibility = hidden;
		if (!bgColor) bgColor = "white";
		obj.bgColor = bgColor;
		obj.onmouseover = stopHiMenu;
		obj.onmouseout = delayHiMenu; 
	}else if(ie4) {
		str = "<div id ='"+layerName+"' "
			+"style='position: absolute;visibility:hidden;background-Color:"+bgColor
			+";width:"+width+"' onMouseOver='stopHiMenu();' onMouseout='delayHiMenu();'></div>";
		eval(frame+".document.body.insertAdjacentHTML('BeforeEnd',str);");
		obj = eval(frame+".document.all['"+layerName+"']");
	}
	if (!oframe.menus)
		oframe.menus = new Array();
	oframe.menus[layerName] = obj;
	return obj;
}
function getMenu(menuName)
{
	if (ie4)
		return document.all[menuName];
	else if (ns4)
		return document.layers[menuName];
	return false;
}

function getTargetMenu(menuName)
{
	var target = getMenuProp(menuName,'target');
	if (target){
		var oframe = eval(target);
		var obj=false;
		if(oframe.menus) {
			obj = eval(target+".menus[menuName]");
			}
		else{
			oframe.pitemSelect = pitemSelect;
			oframe.bitemSelect = bitemSelect;
			oframe.stopHiMenu = stopHiMenu;
			oframe.delayHiMenu = delayHiMenu;
		}
		if (obj)
			return obj;
		else { //maybe a new document loaded in target;
			return newLayer(menuName,target,getMenuProp(menuName,'menuDefaultWidth'),'white');
		}
	}else
		return getMenu(menuName);
}

//Global variables
var ie4,ie5;
var ns4;
var strWrHtml;
var wrTimeId=0;
var lastItem = 'aaron';
var menuCloseId;
var aMenuOpened = Array(10),aIds=Array(10);
var nMenuLevel = 0;
var test = false;
//init arrays
for(i=0;i<10;i++){
	aMenuOpened[i]='';
	aIds[i]=-1;
}
if (document.layers) {
	visible = 'show';
	hidden = 'hide';
	ns4 = true;
} else if (document.all) {
	visible = 'visible';
	hidden = 'hidden';
	ie4 = true;
}
if(ie4){
	ver = navigator.appVersion;
	ie5 = (ver.substr(ver.indexOf('MSIE')+5,3)>=5);
	}	
//-->
</Script>
<?php } /*end of old browsers*/ ?>
